/***************************************************************************
 *   Copyright (C) 2008 by michael   *
 *   michael@localhost.localdomain   *
 *                                                                         *
 *   Permission is hereby granted, free of charge, to any person obtaining *
 *   a copy of this software and associated documentation files (the       *
 *   "Software"), to deal in the Software without restriction, including   *
 *   without limitation the rights to use, copy, modify, merge, publish,   *
 *   distribute, sublicense, and/or sell copies of the Software, and to    *
 *   permit persons to whom the Software is furnished to do so, subject to *
 *   the following conditions:                                             *
 *                                                                         *
 *   The above copyright notice and this permission notice shall be        *
 *   included in all copies or substantial portions of the Software.       *
 *                                                                         *
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       *
 *   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    *
 *   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. *
 *   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR     *
 *   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, *
 *   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR *
 *   OTHER DEALINGS IN THE SOFTWARE.                                       *
 ***************************************************************************/



#include "proj_0widget.h"
#include "proj_0.h"

proj_0Widget::proj_0Widget(QWidget* parent, const char* name, WFlags fl)
        : proj_0WidgetBase(parent,name,fl)
{
	//fParent=parent;
}

proj_0Widget::~proj_0Widget()
{}

/*$SPECIALIZATION$*/
void proj_0Widget::button_clicked()
{
	
	QStringList lines;
	QString fWFP=wd+"/settings/addressParameters.dat"; //fWFP is the working file path 

	QFile file( fWFP );
	if ( file.open( IO_ReadOnly ) )
	{
		QTextStream stream( &file );
		QString line;
		int i = 1;
		while ( !stream.atEnd() ) 
		{
			line = stream.readLine(); // line of text excluding '\n'
			kTextBrowser1->append(line);
			printf( "%3d: %s\n", i++, line.latin1() );
			lines += line;
		}
		file.close();
	}
	else
	{
		KMessageBox::information( 0,  i18n( "Please Select a Working Directory!"),"Something's wrong!");
	}
}




void proj_0Widget::doDraw()
{ 
	TH1F *h1 = new TH1F("h1","h1 title",100,-5.0,5.0);
	h1->FillRandom("gaus",10000);
	//tQtWidget1->cd();
	
}
#include "proj_0widget.moc"

