


// Local includes
#include "proj_0.h"




proj_0::proj_0()
    : KMainWindow( 0, "proj_0" )
{
	setCaption("File I/O Exercises");
    // set the shell's ui resource file
	setXMLFile("filetestsui.rc");

	new QLabel( "File I/O Learner", this, "hello label" );
	
	
	QPopupMenu *fileMenu = new QPopupMenu;
	
	fileMenu->insertItem( i18n( "&Choose Working Directory" ), this, SLOT(chooseWD()) );
	fileMenu->insertSeparator();
	fileMenu->insertItem( i18n( "&Quit" ), kapp, SLOT(quit()) );
	
	
	
	
	
	KMenuBar *menu = menuBar();
	
	
	menu->insertItem( i18n( "&File" ), fileMenu );
	statusBar()->message("Working Directory: None set");  
	
	//-------------------------------------------------------------
	// this is different from template: template passes
	// setCentralWidget( new proj_0Widget( this ));
	// 
	// but I need to be able to communicate with the proj_0 widget,
	// so the pointer proj_0Widget *fPW is declared in proj_0.h
	fPW=new proj_0Widget( this );
	//
	//-------------------------------------------------------------
	
    setCentralWidget( fPW );
}

void proj_0::chooseWD()
{
	fPW->SetWD(KFileDialog::getExistingDirectory("bt05r000000"));
	QString wd="Working Directory: "+fPW->GetWD();
	QString fileName="/settings/addressParameters.dat";
	statusBar()->message(wd);
   	std::cout<<fileName<<std::endl;
}
 

proj_0::~proj_0()
{
}

#include "proj_0.moc"
